RevisionsOfEntityQuery (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.impl
Class RevisionsOfEntityQuery

    java.lang.Object
      org.hibernate.envers.query.impl.AbstractAuditQuery
          org.hibernate.envers.query.impl.RevisionsOfEntityQuery

All Implemented Interfaces:
  AuditQuery

    public class RevisionsOfEntityQuery

extends AbstractAuditQuery

Field Summary

Fields inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`criterions, entityClassName, entityInstantiator, entityName, hasOrder, hasProjection, qb, verCfg, versionsEntityName`

Constructor Summary
`RevisionsOfEntityQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, boolean selectEntitiesOnly, boolean selectDeletedEntities)`
`RevisionsOfEntityQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, String entityName, boolean selectEntitiesOnly, boolean selectDeletedEntities)`

Method Summary
`List` | `list()`

Methods inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`add, addOrder, addProjection, buildAndExecuteQuery, buildQuery, getResultList, getSingleResult, setCacheable, setCacheMode, setCacheRegion, setComment, setFirstResult, setFlushMode, setLockMode, setLockOptions, setMaxResults, setQueryProperties, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionsOfEntityQuery

    public RevisionsOfEntityQuery(AuditConfiguration verCfg,
                                  AuditReaderImplementor versionsReader,
                                  Class<?> cls,
                                  boolean selectEntitiesOnly,
                                  boolean selectDeletedEntities)

### RevisionsOfEntityQuery

    public RevisionsOfEntityQuery(AuditConfiguration verCfg,
                                  AuditReaderImplementor versionsReader,
                                  Class<?> cls,
                                  String entityName,
                                  boolean selectEntitiesOnly,
                                  boolean selectDeletedEntities)

Method Detail

### list

    public List list()
              throws AuditException

  Specified by:
    `list` in class `AbstractAuditQuery`
  Throws:
    `AuditException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.